Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1056247

Summary: Purge Trash & Temporary Files - Auto purge temps
Product: Red Hat Enterprise Linux 7 Reporter: Martin <mholec>
Component: control-centerAssignee: Bastien Nocera <bnocera>
Status: CLOSED CURRENTRELEASE QA Contact: Desktop QE <desktop-qa-list>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 7.0CC: aday, bnocera, mclasen, tpelka
Target Milestone: rcKeywords: EasyFix, Reopened
Target Release: 7.0   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-13 11:26:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Martin 2014-01-21 18:54:00 UTC
Version-Release number of selected component (if applicable):
RHEL-7.0-20140109.n.0

Steps to Reproduce: 
In Settings go to the Privacy panel
Execute this command: $ ls /tmp > temp_before


1.    Click Purge Trash & Temporary Files
2.    Enable: "Automatically Purge Temporary Files".
3.    In "Purge After" select: "Immediately".


Actual results: 
Exactly same files are kept in /tmp. Even after reboot. I have to click on "Purge Temporary Files" to trigger operation.

Expected results:
Execute command: $ ls /tmp > temp_after

and compare the two files temp_before and temp_after. In temp_after should be less files than in the temp_before - some files should be purged.

Note: It's not expected to have the /tmp directory empty.

Comment 1 Bastien Nocera 2014-01-27 09:19:31 UTC
The purge runs about once an hour.

It's clearly immediate compared to the *days* of wait in the other options, but it's not instant and continuous. It's working as designed.

Comment 2 Martin 2014-01-27 16:54:27 UTC
(In reply to Bastien Nocera from comment #1)
> The purge runs about once an hour.
Ok, please change "immediately" string to "1 hour" to reflect real behavior. We don't want to confuse users.

Comment 3 Allan Day 2014-01-28 17:21:36 UTC
(In reply to Martin Holec from comment #2)
> (In reply to Bastien Nocera from comment #1)
> > The purge runs about once an hour.
> Ok, please change "immediately" string to "1 hour" to reflect real behavior.
> We don't want to confuse users.

Makes sense to me.

Comment 4 Martin 2014-02-24 14:20:04 UTC
This is trivial string change. Bastien, could you simply commit string change from "immediately" to "1 hour"? I see ack above from Allan.

Comment 5 Matthias Clasen 2014-02-25 15:14:48 UTC
We're not going to have translations for that new string

Comment 6 Bastien Nocera 2014-02-27 13:56:44 UTC
(In reply to Matthias Clasen from comment #5)
> We're not going to have translations for that new string

The string "1 hour" is already translated for other combo boxes in the same panel, so we're good.

Comment 11 Ludek Smid 2014-06-13 11:26:21 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.